# Expenses

Manage expenses and expense categories

 - [GET /expenses](https://api-docs.webwork-tracker.com/api/expenses/getexpenses.md): Retrieve all expenses for a specific workspace. Requires workspace_id as query parameter. **Access by role**: the Owner and an Executive Manager with pay-rate access, while the workspace's Expenses fe
 - [POST /expenses](https://api-docs.webwork-tracker.com/api/expenses/createexpense.md): **Access by role**: the Owner and an Executive Manager with pay-rate access, while the workspace's Expenses feature is on and its plan includes it, as on the Expenses page. A Project Manager, Team Man
 - [GET /expenses/categories](https://api-docs.webwork-tracker.com/api/expenses/getexpensecategories.md): **Access by role**: the Owner and an Executive Manager with pay-rate access, while the workspace's Expenses feature is on and its plan includes it, as on the Expenses page. A Project Manager, Team Man
 - [GET /expenses/{expenseId}](https://api-docs.webwork-tracker.com/api/expenses/getexpense.md): Retrieve a single expense. Same item shape as `GET /expenses`. **Access by role**: the Owner and an Executive Manager with pay-rate access, while the workspace's Expenses feature is on and its plan in
 - [PUT /expenses/{expenseId}](https://api-docs.webwork-tracker.com/api/expenses/updateexpense.md): **Access by role**: the Owner and an Executive Manager with pay-rate access, while the workspace's Expenses feature is on and its plan includes it, as on the Expenses page. A Project Manager, Team Man
 - [DELETE /expenses/{expenseId}](https://api-docs.webwork-tracker.com/api/expenses/deleteexpense.md): **Access by role**: the Owner and an Executive Manager with pay-rate access, while the workspace's Expenses feature is on and its plan includes it, as on the Expenses page. A Project Manager, Team Man
